KDE 4.9 PyKDE API Reference

- KDE's Python API

# HTMLMetaElement Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.HTMLElement → DOM.Element → DOM.Node
Namespace: DOM

## Detailed Description

This contains generic meta-information about the document. See the <a href="http://www.w3.org/TR/REC-html40/struct/global.html#edef-META"> META element definition in HTML 4.0.

## Methods

| __init__ (self)
| __init__ (self, DOM.HTMLMetaElement other)
| __init__ (self, DOM.Node other)
DOM.DOMString | content (self)
DOM.DOMString | httpEquiv (self)
DOM.DOMString | name (self)
DOM.DOMString | scheme (self)
| setContent (self, DOM.DOMString a0)
| setHttpEquiv (self, DOM.DOMString a0)
| setName (self, DOM.DOMString a0)
| setScheme (self, DOM.DOMString a0)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.HTMLMetaElement | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

DOM.DOMString content | ( |  | self ) |

Associated information. See the <a href="http://www.w3.org/TR/REC-html40/struct/global.html#adef-content"> content attribute definition in HTML 4.0.

DOM.DOMString httpEquiv | ( |  | self ) |

HTTP response header name. See the <a href="http://www.w3.org/TR/REC-html40/struct/global.html#adef-http-equiv"> http-equiv attribute definition in HTML 4.0.

DOM.DOMString name | ( |  | self ) |

Meta information name. See the <a href="http://www.w3.org/TR/REC-html40/struct/global.html#adef-name-META"> name attribute definition in HTML 4.0.

DOM.DOMString scheme | ( |  | self ) |

Select form of content. See the <a href="http://www.w3.org/TR/REC-html40/struct/global.html#adef-scheme"> scheme attribute definition in HTML 4.0.

setContent | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see content

setHttpEquiv | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see httpEquiv

setName | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see name

setScheme | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see scheme